Add namespaces for sub modules
Status: Closed Start date: 2012-08-16

Priority: High Due date:  

Assignee: Christof Elbrechter % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: icl-8.0   

Description

Example structure:

icl::core

icl::utils

...

History

#1 - 2012-08-23 16:36 - Christof Elbrechter

- Status changed from New to In Progress

- Assignee set to Patrick Valéry Nobou

Christof will try to write a coarse translation script

before we can do this, we have to

--- merge the modules, we wanted to merge

--- rename the modulen, we wanted to rename

After adding the namespaces, we have to adapt the whole doxygen documentation

Ideas for the namespace conversion:

----------------------------------------------------------------

replace "namespace icl {" by "namespace icl { \n namespace packagename" and find corresponding closing bracket at the end of the file and

add a 2nd one for the inner namespace. For this, we actually need to count opening and closing brackets ...

in .cpp files, we agreed to use using namespace icl::utils etc. statements rather than polluting the whole source files with namespace prefixes

use the same strategy also for the example .cpp files

the script will have to create a class->package association map in order to add the namespace selector to classnames. We'll have to be carefull,

that only real classnames are adapted

perhaps, this will also work automatically for the examples within the doxygen documentation

#2 - 2012-08-24 10:13 - Christof Elbrechter

- Priority changed from Normal to High

Changed priority to high, because we need this for several other issues
#3 - 2012-08-29 22:49 - Christof Elbrechter

- Assignee changed from Patrick Valéry Nobou to Christof Elbrechter

- % Done changed from 0 to 90

Almost done, only have to check a few files, that are not built in my laptop configuration

moved several files from here to there

finally 100%ly decoupled the ICL-packages

#4 - 2012-08-30 11:27 - Christof Elbrechter

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Done: only the OpenNI based files need to be updated
